##########################################################################
#                                                                        #
#           copyright (c) 2004, 2005 ITB, Humboldt-University Berlin     #
#           written by: Raphael Ritz, r.ritz@biologie.hu-berlin.de       #
#                                                                        #
##########################################################################

"""plone installer script"""

from StringIO import StringIO

# from Products.CMFCore.utils import getToolByName

from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin

from Products.PloneBook.config import PROJECTNAME, GLOBALS

def setNavTreeProperty(self, out):
    navtree_props = self.portal_properties.navtree_properties
    idsNotToList = navtree_props.getProperty('idsNotToList', None)
    if idsNotToList is not None:
        idsNotToList = list(idsNotToList)
        if 'img' not in idsNotToList:
            idsNotToList.append('img')
            navtree_props.manage_changeProperties(
                {'idsNotToList':idsNotToList}
                )
            print >> out, "Added 'img' to 'navtree_properties.idsNotToList'."

def install(self):
    out = StringIO()
    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)
    print >> out, "Successfully installed %s's content types." % PROJECTNAME
    install_subskin(self, out, GLOBALS)
    setNavTreeProperty(self, out)
    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()
